//
// Grass fragment shader
//

uniform sampler2D	grassMap;
uniform	sampler2D	noiseMap;

varying vec4	color;

void main (void)
{
	vec4	grassColor = texture2D ( grassMap, gl_TexCoord [0].xy );
	float	noiseValue = texture2D ( noiseMap, gl_TexCoord [0].xy ).a;
	
	grassColor.rgb *= 2.2 * color.rgb;
	gl_FragColor = grassColor * vec4 ( vec3 ( 1.0 ), 2.0*noiseValue*grassColor.a );
}
